DRM_FLIP_WORK_COMMIT(9)

NAME
drm_flip_work_commit - commit queued work

SYNOPSIS

void drm_flip_work_commit(struct drm_flip_work * work, struct workqueue_struct * wq);

ARGUMENTS

work
    the flip-work

wq
    the work-queue to run the queued work on

DESCRIPTION

Trigger work previously queued by drm_flip_work_queue to run on a workqueue. The typical usage would be to queue work (via drm_flip_work_queue) at any point (from vblank irq and/or prior), and then from vblank irq commit the queued work.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT